Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class ContactBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.ContactBean

All Implemented Interfaces:
  java.io.Serializable

public class ContactBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ContactBean()`
`ContactBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, long accountId, java.lang.String address, java.lang.String assistantEmail, java.lang.String assistantName, java.lang.String assistantPhone, java.lang.String cellPhone, java.lang.String city, java.lang.String contactType, java.lang.String country, java.lang.String creator, java.lang.String department, java.lang.String description, java.lang.String email, java.lang.String fax, java.lang.String firstName, java.lang.String lastName, java.lang.String phone, long reportsToId, java.lang.String state, java.lang.String title, java.lang.String zipCode)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getAccountId()` Gets the accountId value for this ContactBean.
`java.lang.String` | `getAddress()` Gets the address value for this ContactBean.
`java.lang.String` | `getAssistantEmail()` Gets the assistantEmail value for this ContactBean.
`java.lang.String` | `getAssistantName()` Gets the assistantName value for this ContactBean.
`java.lang.String` | `getAssistantPhone()` Gets the assistantPhone value for this ContactBean.
`java.lang.String` | `getCellPhone()` Gets the cellPhone value for this ContactBean.
`java.lang.String` | `getCity()` Gets the city value for this ContactBean.
`java.lang.String` | `getContactType()` Gets the contactType value for this ContactBean.
`java.lang.String` | `getCountry()` Gets the country value for this ContactBean.
`java.lang.String` | `getCreator()` Gets the creator value for this ContactBean.
`java.lang.String` | `getDepartment()` Gets the department value for this ContactBean.
`java.lang.String` | `getDescription()` Gets the description value for this ContactBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmail()` Gets the email value for this ContactBean.
`java.lang.String` | `getFax()` Gets the fax value for this ContactBean.
`java.lang.String` | `getFirstName()` Gets the firstName value for this ContactBean.
`java.lang.String` | `getLastName()` Gets the lastName value for this ContactBean.
`java.lang.String` | `getPhone()` Gets the phone value for this ContactBean.
`long` | `getReportsToId()` Gets the reportsToId value for this ContactBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getState()` Gets the state value for this ContactBean.
`java.lang.String` | `getTitle()` Gets the title value for this ContactBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getZipCode()` Gets the zipCode value for this ContactBean.
`int` | `hashCode()`
`void` | `setAccountId(long accountId)` Sets the accountId value for this ContactBean.
`void` | `setAddress(java.lang.String address)` Sets the address value for this ContactBean.
`void` | `setAssistantEmail(java.lang.String assistantEmail)` Sets the assistantEmail value for this ContactBean.
`void` | `setAssistantName(java.lang.String assistantName)` Sets the assistantName value for this ContactBean.
`void` | `setAssistantPhone(java.lang.String assistantPhone)` Sets the assistantPhone value for this ContactBean.
`void` | `setCellPhone(java.lang.String cellPhone)` Sets the cellPhone value for this ContactBean.
`void` | `setCity(java.lang.String city)` Sets the city value for this ContactBean.
`void` | `setContactType(java.lang.String contactType)` Sets the contactType value for this ContactBean.
`void` | `setCountry(java.lang.String country)` Sets the country value for this ContactBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this ContactBean.
`void` | `setDepartment(java.lang.String department)` Sets the department value for this ContactBean.
`void` | `setDescription(java.lang.String description)` Sets the description value for this ContactBean.
`void` | `setEmail(java.lang.String email)` Sets the email value for this ContactBean.
`void` | `setFax(java.lang.String fax)` Sets the fax value for this ContactBean.
`void` | `setFirstName(java.lang.String firstName)` Sets the firstName value for this ContactBean.
`void` | `setLastName(java.lang.String lastName)` Sets the lastName value for this ContactBean.
`void` | `setPhone(java.lang.String phone)` Sets the phone value for this ContactBean.
`void` | `setReportsToId(long reportsToId)` Sets the reportsToId value for this ContactBean.
`void` | `setState(java.lang.String state)` Sets the state value for this ContactBean.
`void` | `setTitle(java.lang.String title)` Sets the title value for this ContactBean.
`void` | `setZipCode(java.lang.String zipCode)` Sets the zipCode value for this ContactBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactBean

    public ContactBean()

### ContactBean

    public ContactBean(java.util.Calendar creationDate,
                       FlexFieldBean[] flexValues,
                       long id,
                       java.util.Calendar lastUpdated,
                       java.lang.String status,
                       long accountId,
                       java.lang.String address,
                       java.lang.String assistantEmail,
                       java.lang.String assistantName,
                       java.lang.String assistantPhone,
                       java.lang.String cellPhone,
                       java.lang.String city,
                       java.lang.String contactType,
                       java.lang.String country,
                       java.lang.String creator,
                       java.lang.String department,
                       java.lang.String description,
                       java.lang.String email,
                       java.lang.String fax,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String phone,
                       long reportsToId,
                       java.lang.String state,
                       java.lang.String title,
                       java.lang.String zipCode)

Method Detail

### getAccountId

    public long getAccountId()

  Gets the accountId value for this ContactBean.

  Returns:
    accountId

### setAccountId

    public void setAccountId(long accountId)

  Sets the accountId value for this ContactBean.

  Parameters:
    `accountId` -

### getAddress

    public java.lang.String getAddress()

  Gets the address value for this ContactBean.

  Returns:
    address

### setAddress

    public void setAddress(java.lang.String address)

  Sets the address value for this ContactBean.

  Parameters:
    `address` -

### getAssistantEmail

    public java.lang.String getAssistantEmail()

  Gets the assistantEmail value for this ContactBean.

  Returns:
    assistantEmail

### setAssistantEmail

    public void setAssistantEmail(java.lang.String assistantEmail)

  Sets the assistantEmail value for this ContactBean.

  Parameters:
    `assistantEmail` -

### getAssistantName

    public java.lang.String getAssistantName()

  Gets the assistantName value for this ContactBean.

  Returns:
    assistantName

### setAssistantName

    public void setAssistantName(java.lang.String assistantName)

  Sets the assistantName value for this ContactBean.

  Parameters:
    `assistantName` -

### getAssistantPhone

    public java.lang.String getAssistantPhone()

  Gets the assistantPhone value for this ContactBean.

  Returns:
    assistantPhone

### setAssistantPhone

    public void setAssistantPhone(java.lang.String assistantPhone)

  Sets the assistantPhone value for this ContactBean.

  Parameters:
    `assistantPhone` -

### getCellPhone

    public java.lang.String getCellPhone()

  Gets the cellPhone value for this ContactBean.

  Returns:
    cellPhone

### setCellPhone

    public void setCellPhone(java.lang.String cellPhone)

  Sets the cellPhone value for this ContactBean.

  Parameters:
    `cellPhone` -

### getCity

    public java.lang.String getCity()

  Gets the city value for this ContactBean.

  Returns:
    city

### setCity

    public void setCity(java.lang.String city)

  Sets the city value for this ContactBean.

  Parameters:
    `city` -

### getContactType

    public java.lang.String getContactType()

  Gets the contactType value for this ContactBean.

  Returns:
    contactType

### setContactType

    public void setContactType(java.lang.String contactType)

  Sets the contactType value for this ContactBean.

  Parameters:
    `contactType` -

### getCountry

    public java.lang.String getCountry()

  Gets the country value for this ContactBean.

  Returns:
    country

### setCountry

    public void setCountry(java.lang.String country)

  Sets the country value for this ContactBean.

  Parameters:
    `country` -

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this ContactBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this ContactBean.

  Parameters:
    `creator` -

### getDepartment

    public java.lang.String getDepartment()

  Gets the department value for this ContactBean.

  Returns:
    department

### setDepartment

    public void setDepartment(java.lang.String department)

  Sets the department value for this ContactBean.

  Parameters:
    `department` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this ContactBean.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this ContactBean.

  Parameters:
    `description` -

### getEmail

    public java.lang.String getEmail()

  Gets the email value for this ContactBean.

  Returns:
    email

### setEmail

    public void setEmail(java.lang.String email)

  Sets the email value for this ContactBean.

  Parameters:
    `email` -

### getFax

    public java.lang.String getFax()

  Gets the fax value for this ContactBean.

  Returns:
    fax

### setFax

    public void setFax(java.lang.String fax)

  Sets the fax value for this ContactBean.

  Parameters:
    `fax` -

### getFirstName

    public java.lang.String getFirstName()

  Gets the firstName value for this ContactBean.

  Returns:
    firstName

### setFirstName

    public void setFirstName(java.lang.String firstName)

  Sets the firstName value for this ContactBean.

  Parameters:
    `firstName` -

### getLastName

    public java.lang.String getLastName()

  Gets the lastName value for this ContactBean.

  Returns:
    lastName

### setLastName

    public void setLastName(java.lang.String lastName)

  Sets the lastName value for this ContactBean.

  Parameters:
    `lastName` -

### getPhone

    public java.lang.String getPhone()

  Gets the phone value for this ContactBean.

  Returns:
    phone

### setPhone

    public void setPhone(java.lang.String phone)

  Sets the phone value for this ContactBean.

  Parameters:
    `phone` -

### getReportsToId

    public long getReportsToId()

  Gets the reportsToId value for this ContactBean.

  Returns:
    reportsToId

### setReportsToId

    public void setReportsToId(long reportsToId)

  Sets the reportsToId value for this ContactBean.

  Parameters:
    `reportsToId` -

### getState

    public java.lang.String getState()

  Gets the state value for this ContactBean.

  Returns:
    state

### setState

    public void setState(java.lang.String state)

  Sets the state value for this ContactBean.

  Parameters:
    `state` -

### getTitle

    public java.lang.String getTitle()

  Gets the title value for this ContactBean.

  Returns:
    title

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title value for this ContactBean.

  Parameters:
    `title` -

### getZipCode

    public java.lang.String getZipCode()

  Gets the zipCode value for this ContactBean.

  Returns:
    zipCode

### setZipCode

    public void setZipCode(java.lang.String zipCode)

  Sets the zipCode value for this ContactBean.

  Parameters:
    `zipCode` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD